org.modeshape.jcr.query.engine.process

## Class BufferedRows

- java.lang.Object
- - org.modeshape.jcr.query.engine.process.BufferedRows

-     public class BufferedRows
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `BufferedRows.BufferedRow`
    `static interface` | `BufferedRows.BufferedRowFactory<T extends BufferedRows.BufferedRow>`
    `static class` | `BufferedRows.DoubleNodeRow`
    `protected static class` | `BufferedRows.DoubleNodeRowSerializer`
    `static class` | `BufferedRows.MultiNodeRow`
    `protected static class` | `BufferedRows.MultiNodeRowSerializer`
    `static class` | `BufferedRows.QuadNodeRow`
    `protected static class` | `BufferedRows.QuadNodeRowSerializer`
    `static class` | `BufferedRows.SingleNodeRow`
    `protected static class` | `BufferedRows.SingleNodeRowSerializer`
    `static class` | `BufferedRows.TripleNodeRow`
    `protected static class` | `BufferedRows.TripleNodeRowSerializer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static CachedNode` | `deserializeNodeKey(String keyStr, CachedNodeSupplier cache)`
    `protected static String` | `serializeNodeKey(CachedNode node)`
    `static BufferedRows.BufferedRowFactory<? extends BufferedRows.BufferedRow>` | `serializer(CachedNodeSupplier nodeCache, int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### serializer

          public static BufferedRows.BufferedRowFactory<? extends BufferedRows.BufferedRow> serializer(CachedNodeSupplier nodeCache,
                                                                                       int width)

    - #### serializeNodeKey

          protected static String serializeNodeKey(CachedNode node)

    - #### deserializeNodeKey

          protected static CachedNode deserializeNodeKey(String keyStr,
                                      CachedNodeSupplier cache)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.